const { Client } = require('pg');

const client = new Client({
  host: '192.168.192.3',
  port: 5432,
  user: 'timelapse',
  password: 'timelapse',
  database: 'timelapse'
});

function connectWithRetry() {
  client.connect(err => {
    if (err) {
      console.error('Erreur de connexion à la base de données:', err);
      setTimeout(connectWithRetry, 30000);
    } else {
      console.log('[DB] Connecté à la base de données PostgreSQL.');
    }
  });
}

connectWithRetry();
module.exports = client;